Draft Cercle

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Circle and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente: Draft Arc 3Points.svg Arc par 3 points
Page suivante: Ellipse Draft Ellipse.svg Arrow-right.svg

Draft Circle.svg Draft Cercle

Emplacement du menu
Drafting → Cercle
Ateliers
Draft, Arch
Raccourci par défaut
C I
Introduit dans la version
0.7
Voir aussi
Draft Arc, Draft Arc par 3 points

Description

La commande Draft Circle.svg Draft Cercle crée un cercle dans le Draft Plan de travail en cours à partir d'un centre et d'un rayon. Le rayon peut être défini en choisissant un point.

Un Draft Cercle peut être transformé en arc de cercle en donnant à ses propriétés DonnéesFirst Angle et DonnéesLast Angle des valeurs différentes.

Draft Circle example.jpg

Cercle défini par deux points, le centre et le rayon

Utilisation

Voir aussi : Draft La barre, Draft Accrochage et Draft Contrainte.

  1. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le Draft Circle.svg Créer un cercle.
    • Sélectionnez l'option Drafting → Draft Circle.svg Cercle dans le menu.
    • Utilisez le raccourci clavier : C puis I.
  2. Le panneau de tâches Cercle s'ouvre. Voir Options pour plus d'informations.
  3. Choisissez le premier point, le centre du cercle dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  4. Choisissez le deuxième point dans la Vue 3D ou entrez un Rayon.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement les coordonnées du centre, entrez les valeurs de X, Y et Z et appuyez sur Entrée après chacune, ou vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • La case à cocher Relative n'a aucune utilité pour cette commande.
  • Appuyez sur G ou cliquez sur la case Global pour basculer en mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Appuyez sur L ou cliquez sur la case à cocher Rempli pour basculer en mode rempli. Si le mode rempli est activé, le cercle créé aura DonnéesMake Face défini sur true et aura une face remplie.
  • Appuyez sur T ou cliquez sur la case Continuer pour activer le mode continu. Si le mode continu est activé, la commande redémarre après avoir terminé, ce qui vous permet de continuer à créer des cercles.
  • Appuyez sur S pour activer ou désactiver Draft Accrochage.
  • Appuyez sur Echap ou sur le bouton Fermer pour interrompre la commande.

Remarques

  • Un Draft Cercle peut être édité avec la commande Draft Editer.

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées et des rayons : Édition → Préférences... → Général → Unités → Système d'unités → Nombre de décimales.
  • Pour modifier la valeur initiale du mode rempli : Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Remplir les objets avec des faces si possible. La modification du mode de remplissage dans un panneau de tâches annule cette préférence pour la session FreeCAD en cours.
  • Si l'option Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Utiliser les primitives de Part si possible est cochée, la commande créera un Part Cercle au lieu d'un Draft Cercle.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Draft Cercle est dérivé d'un Part Part2DObject et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesArea (Area) : (en lecture seule) spécifie la surface de la face du cercle. La valeur sera 0.0 si DonnéesMake Face est false ou si la face ne peut être créée.
  • DonnéesFirst Angle (Angle) : spécifie l'angle de départ du cercle, normalement .
  • DonnéesLast Angle (Angle) : spécifie l'angle final du cercle, normalement .
  • DonnéesMake Face (Bool) : spécifie si le cercle forme une face ou non. Si c'est true, une face est créée, sinon seul le périmètre est considéré comme faisant partie de l'objet. Cette propriété ne fonctionne que si les DonnéesFirst Angle et DonnéesLast Angle ont la même valeur. Notez que et 360° ne sont pas considérés comme identiques.
  • DonnéesRadius (Length) : spécifie le rayon du cercle.

Vue

Draft

  • VuePattern (Enumeration) : spécifie un Draft Motif. avec lequel remplir la face du cercle. Cette propriété ne fonctionne que si DonnéesMake Face est true et si VueDisplay Mode est Flat Lines.
  • VuePattern Size (Float): spécifie la taille du Draft Motif.

Script

Voir aussi : Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer un Draft Cercle, utilisez la méthode make_circle (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makeCircle.

circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Crée un objet circle avec un radius donné en millimètres.
    • radius peut aussi être un Part.Edge, dont l'attribut Curve doit être un Part.Circle.
  • Si un placement est None, le cercle est créé à l'origine.
  • Si face a la valeur True, le cercle fera une face, c'est-à-dire qu'il apparaîtra rempli.
  • Si startangle et endangle sont donnés en degrés et ont des valeurs différentes, ils sont utilisés et l'objet apparaît comme une Draft Arc.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

circle1 = Draft.make_circle(200)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
circle2 = Draft.make_circle(500, placement=place2)

p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)

doc.recompute()


Arrow-left.svg Page précédente: Draft Arc 3Points.svg Arc par 3 points
Page suivante: Ellipse Draft Ellipse.svg Arrow-right.svg